package com.ejie.t17i.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.t17i.dao.LocalidadDao;
import com.ejie.t17i.model.Localidad;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * <p>
 * Implementaci&oacute;n de servicios de l&oacute:gica de negocio para acceder a la tabla LOCALIDAD de NORA
 * </p> 
XXXX
 * @see com.ejie.t17i.model.Localidad
 */
@Service(value = "localidadService")
public class LocalidadServiceImpl implements LocalidadService {

	@Autowired
	private LocalidadDao localidadDao;

	/**
	 * {@inheritDoc}
	 */
	public Localidad find(final Localidad localidad) {
		return (Localidad) this.localidadDao.find(localidad);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Localidad> findAll(final Localidad localidad,final JQGridRequestDto jqGridRequestDto) {
		return (List<Localidad>) this.localidadDao.findAll(localidad,
				jqGridRequestDto);
	}

	/**
	 * {@inheritDoc}
	 */
	public Long findAllCount(final Localidad localidad) {
		return this.localidadDao.findAllCount(localidad);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Localidad> findAllLike(final Localidad localidad,final JQGridRequestDto jqGridRequestDto,final Boolean startsWith) {
		return (List<Localidad>) this.localidadDao.findAllLike(localidad,jqGridRequestDto, startsWith);
	}
}